For the complete documentation index, see llms.txt. This page is also available as Markdown.

Creating a trust registry

Create Trust Registry

post
/trust-registries

Creates a new trust registry. You must be on a Custom plan to do this.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
convenerstring · max: 512Required

DID as fully qualified, typically. did:cheqd:

Example: did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59
namestring · max: 256Required

Trust registry name

Example: Truvera Example Ecosystem
descriptionstring · max: 2000Required

Trust registry description

Example: Labore voluptate adipisicing magna duis eu fugiat pariatur excepteur irure.
logoUrlstring · uri · max: 2048RequiredExample: https://logo.truvera.io/trust-registry
ecosystemUrlstring · uri · max: 2048RequiredExample: https://ecosystem.truvera.io
governanceFrameworkstring · max: 5000Required

Trust registry governance framework

Example: Lorem ea ea reprehenderit cupidatat minim incididunt occaecat est sit.
governanceFrameworkVersionstring · max: 64Required

Trust registry governance framework version

Example: 1.0.0
Responses
200

Trust registry has been created

application/json
idstringRequired

Trust registry ID

Example: 0x601d148fb8895aca83eafb264293069911f76805b748b014ae64fcf0fd2d765d
convenerstring · max: 512Required

DID as fully qualified, typically. did:cheqd:

Example: did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59
convenerNamestringOptional

Convener name

Example: Truvera
convenerLogoUrlstringOptional

Convener logo URL

Example: https://logo.truvera.io/convener
slugstringOptional

Trust registry slug

Example: truvera-example-ecosystem-1
noncestringOptional

Trust registry nonce

Example: 0x57aecb3863404812
createdstring · date-timeRequired
namestringRequired

Trust registry name

Example: Truvera Example Ecosystem
descriptionstringRequired

Trust registry description

Example: Labore voluptate adipisicing magna duis eu fugiat pariatur excepteur irure.
logoUrlstring · uri · max: 2048Required

Trust registry logo URL

Example: https://logo.truvera.io/trust-registry
ecosystemUrlstring · uri · max: 2048Required

Trust registry ecosystem URL

Example: https://ecosystem.truvera.io
governanceFrameworkstringRequired

Trust registry governance framework

Example: Lorem ea ea reprehenderit cupidatat minim incididunt occaecat est sit.
governanceFrameworkVersionstringRequired

Trust registry governance framework version

Example: 1.0.0
issuerCountintegerOptional

Trust registry issuer count

Example: 10
verifierCountintegerOptional

Trust registry verifier count

Example: 5
post/trust-registries
POST /trust-registries HTTP/1.1
Host: api-testnet.truvera.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 425

{
  "convener": "did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59",
  "name": "Truvera Example Ecosystem",
  "description": "Labore voluptate adipisicing magna duis eu fugiat pariatur excepteur irure.",
  "logoUrl": "https://logo.truvera.io/trust-registry",
  "ecosystemUrl": "https://ecosystem.truvera.io",
  "governanceFramework": "Lorem ea ea reprehenderit cupidatat minim incididunt occaecat est sit.",
  "governanceFrameworkVersion": "1.0.0"
}
{
  "id": "0x601d148fb8895aca83eafb264293069911f76805b748b014ae64fcf0fd2d765d",
  "convener": "did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59",
  "convenerName": "Truvera",
  "convenerLogoUrl": "https://logo.truvera.io/convener",
  "slug": "truvera-example-ecosystem-1",
  "nonce": "0x57aecb3863404812",
  "created": "2026-01-01T00:00:00.000Z",
  "name": "Truvera Example Ecosystem",
  "description": "Labore voluptate adipisicing magna duis eu fugiat pariatur excepteur irure.",
  "logoUrl": "https://logo.truvera.io/trust-registry",
  "ecosystemUrl": "https://ecosystem.truvera.io",
  "governanceFramework": "Lorem ea ea reprehenderit cupidatat minim incididunt occaecat est sit.",
  "governanceFrameworkVersion": "1.0.0",
  "issuerCount": 10,
  "verifierCount": 5
}

List Trust Registries

get
/trust-registries

Get all trust registries owned by the user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
offsetinteger · int32Optional

How many items to offset by for pagination

Default: 0
limitinteger · int32 · min: 1 · max: 64Optional

How many items to return at one time (max 64)

Default: 64
Responses
200

All trust registries

application/json
idstringRequired

Trust registry ID

Example: 0x601d148fb8895aca83eafb264293069911f76805b748b014ae64fcf0fd2d765d
convenerstring · max: 512Required

DID as fully qualified, typically. did:cheqd:

Example: did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59
convenerNamestringOptional

Convener name

Example: Truvera
convenerLogoUrlstringOptional

Convener logo URL

Example: https://logo.truvera.io/convener
slugstringOptional

Trust registry slug

Example: truvera-example-ecosystem-1
noncestringOptional

Trust registry nonce

Example: 0x57aecb3863404812
createdstring · date-timeRequired
namestringRequired

Trust registry name

Example: Truvera Example Ecosystem
descriptionstringRequired

Trust registry description

Example: Labore voluptate adipisicing magna duis eu fugiat pariatur excepteur irure.
logoUrlstring · uri · max: 2048Required

Trust registry logo URL

Example: https://logo.truvera.io/trust-registry
ecosystemUrlstring · uri · max: 2048Required

Trust registry ecosystem URL

Example: https://ecosystem.truvera.io
governanceFrameworkstringRequired

Trust registry governance framework

Example: Lorem ea ea reprehenderit cupidatat minim incididunt occaecat est sit.
governanceFrameworkVersionstringRequired

Trust registry governance framework version

Example: 1.0.0
issuerCountintegerOptional

Trust registry issuer count

Example: 10
verifierCountintegerOptional

Trust registry verifier count

Example: 5
get/trust-registries
GET /trust-registries HTTP/1.1
Host: api-testnet.truvera.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

All trust registries

[
  {
    "id": "0x601d148fb8895aca83eafb264293069911f76805b748b014ae64fcf0fd2d765d",
    "convener": "did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59",
    "convenerName": "Truvera",
    "convenerLogoUrl": "https://logo.truvera.io/convener",
    "slug": "truvera-example-ecosystem-1",
    "nonce": "0x57aecb3863404812",
    "created": "2026-01-01T00:00:00.000Z",
    "name": "Truvera Example Ecosystem",
    "description": "Labore voluptate adipisicing magna duis eu fugiat pariatur excepteur irure.",
    "logoUrl": "https://logo.truvera.io/trust-registry",
    "ecosystemUrl": "https://ecosystem.truvera.io",
    "governanceFramework": "Lorem ea ea reprehenderit cupidatat minim incididunt occaecat est sit.",
    "governanceFrameworkVersion": "1.0.0",
    "issuerCount": 10,
    "verifierCount": 5
  }
]

Query all trust registries

post
/trust-registries/query

Query all trust registries

Body
verifierDIDstring · max: 512Optional

DID as fully qualified, typically. did:cheqd:

Example: did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59
issuerDIDstring · max: 512Optional

DID as fully qualified, typically. did:cheqd:

Example: did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59
schemastringOptional
Responses
200

Trust registries

application/json
idstringRequired

Trust registry ID

Example: 0x601d148fb8895aca83eafb264293069911f76805b748b014ae64fcf0fd2d765d
convenerstring · max: 512Required

DID as fully qualified, typically. did:cheqd:

Example: did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59
convenerNamestringOptional

Convener name

Example: Truvera
convenerLogoUrlstringOptional

Convener logo URL

Example: https://logo.truvera.io/convener
slugstringOptional

Trust registry slug

Example: truvera-example-ecosystem-1
noncestringOptional

Trust registry nonce

Example: 0x57aecb3863404812
createdstring · date-timeRequired
namestringRequired

Trust registry name

Example: Truvera Example Ecosystem
descriptionstringRequired

Trust registry description

Example: Labore voluptate adipisicing magna duis eu fugiat pariatur excepteur irure.
logoUrlstring · uri · max: 2048Required

Trust registry logo URL

Example: https://logo.truvera.io/trust-registry
ecosystemUrlstring · uri · max: 2048Required

Trust registry ecosystem URL

Example: https://ecosystem.truvera.io
governanceFrameworkstringRequired

Trust registry governance framework

Example: Lorem ea ea reprehenderit cupidatat minim incididunt occaecat est sit.
governanceFrameworkVersionstringRequired

Trust registry governance framework version

Example: 1.0.0
issuerCountintegerOptional

Trust registry issuer count

Example: 10
verifierCountintegerOptional

Trust registry verifier count

Example: 5
post/trust-registries/query
POST /trust-registries/query HTTP/1.1
Host: api-testnet.truvera.io
Content-Type: application/json
Accept: */*
Content-Length: 157

{
  "verifierDID": "did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59",
  "issuerDID": "did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59",
  "schema": "text"
}
[
  {
    "id": "0x601d148fb8895aca83eafb264293069911f76805b748b014ae64fcf0fd2d765d",
    "convener": "did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59",
    "convenerName": "Truvera",
    "convenerLogoUrl": "https://logo.truvera.io/convener",
    "slug": "truvera-example-ecosystem-1",
    "nonce": "0x57aecb3863404812",
    "created": "2026-01-01T00:00:00.000Z",
    "name": "Truvera Example Ecosystem",
    "description": "Labore voluptate adipisicing magna duis eu fugiat pariatur excepteur irure.",
    "logoUrl": "https://logo.truvera.io/trust-registry",
    "ecosystemUrl": "https://ecosystem.truvera.io",
    "governanceFramework": "Lorem ea ea reprehenderit cupidatat minim incididunt occaecat est sit.",
    "governanceFrameworkVersion": "1.0.0",
    "issuerCount": 10,
    "verifierCount": 5
  }
]
parameters
/trust-registries/{registryId}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
registryIdstringRequired

A trust registry id

parameters/trust-registries/{registryId}
PARAMETERS /trust-registries/{registryId} HTTP/1.1
Host: api-testnet.truvera.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Get Trust Registry

get
/trust-registries/{registryId}

Returns the Trust Registry for a specific ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
registryIdstringRequired

A trust registry id

Responses
200

Trust Registry information

application/json
idstringRequired

Trust registry ID

Example: 0x601d148fb8895aca83eafb264293069911f76805b748b014ae64fcf0fd2d765d
convenerstring · max: 512Required

DID as fully qualified, typically. did:cheqd:

Example: did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59
convenerNamestringOptional

Convener name

Example: Truvera
convenerLogoUrlstringOptional

Convener logo URL

Example: https://logo.truvera.io/convener
slugstringOptional

Trust registry slug

Example: truvera-example-ecosystem-1
noncestringOptional

Trust registry nonce

Example: 0x57aecb3863404812
createdstring · date-timeRequired
namestringRequired

Trust registry name

Example: Truvera Example Ecosystem
descriptionstringRequired

Trust registry description

Example: Labore voluptate adipisicing magna duis eu fugiat pariatur excepteur irure.
logoUrlstring · uri · max: 2048Required

Trust registry logo URL

Example: https://logo.truvera.io/trust-registry
ecosystemUrlstring · uri · max: 2048Required

Trust registry ecosystem URL

Example: https://ecosystem.truvera.io
governanceFrameworkstringRequired

Trust registry governance framework

Example: Lorem ea ea reprehenderit cupidatat minim incididunt occaecat est sit.
governanceFrameworkVersionstringRequired

Trust registry governance framework version

Example: 1.0.0
issuerCountintegerOptional

Trust registry issuer count

Example: 10
verifierCountintegerOptional

Trust registry verifier count

Example: 5
get/trust-registries/{registryId}
GET /trust-registries/{registryId} HTTP/1.1
Host: api-testnet.truvera.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "0x601d148fb8895aca83eafb264293069911f76805b748b014ae64fcf0fd2d765d",
  "convener": "did:cheqd:testnet:ac2b9027-ec1a-4ee2-aad1-1e316e7d6f59",
  "convenerName": "Truvera",
  "convenerLogoUrl": "https://logo.truvera.io/convener",
  "slug": "truvera-example-ecosystem-1",
  "nonce": "0x57aecb3863404812",
  "created": "2026-01-01T00:00:00.000Z",
  "name": "Truvera Example Ecosystem",
  "description": "Labore voluptate adipisicing magna duis eu fugiat pariatur excepteur irure.",
  "logoUrl": "https://logo.truvera.io/trust-registry",
  "ecosystemUrl": "https://ecosystem.truvera.io",
  "governanceFramework": "Lorem ea ea reprehenderit cupidatat minim incididunt occaecat est sit.",
  "governanceFrameworkVersion": "1.0.0",
  "issuerCount": 10,
  "verifierCount": 5
}

Last updated

Was this helpful?